AdminXmlException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, class: AdminXmlException

Package org.apache.geode.admin

# Class AdminXmlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.admin.RuntimeAdminException
org.apache.geode.admin.AdminXmlException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class AdminXmlException extends RuntimeAdminException
Deprecated.
as of 7.0 use the `management` package instead
Thrown when a problem is encountered while working with admin-related XML data.

Since:
  GemFire 4.0
See Also:
  - `DistributedSystemConfig.getEntityConfigXMLFile()`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminXmlException(String s)`
  Deprecated.
  Creates a new `AdminXmlException` with the given descriptive message.
  `AdminXmlException(String s, Throwable cause)`
  Deprecated.
  Creates a new `AdminXmlException` with the given descriptive message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdminXmlException

    public AdminXmlException(String s)
    Deprecated.
    Creates a new `AdminXmlException` with the given descriptive message.
    Parameters:
      `s` - the detail message

  - ### AdminXmlException

    public AdminXmlException(String s, Throwable cause)
    Deprecated.
    Creates a new `AdminXmlException` with the given descriptive message and cause.
    Parameters:
      `s` - the detail message
      `cause` - the cause